From 7907966838d67d1ada820ea4c056251abfc41185 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Nov 01 2020 17:12:05 +0000
Subject: [PATCH 1164/2232] Switch to namespace = "quoted::path" in docs and tests


To preserve parity with item-level #[namespace = "..."] which is
currently restricted by rustc to a quoted string.

---

diff --git a/demo/src/main.rs b/demo/src/main.rs
index ee7e093..8f62084 100644
--- a/demo/src/main.rs
+++ b/demo/src/main.rs
@@ -1,4 +1,4 @@
-#[cxx::bridge(namespace = org::example)]
+#[cxx::bridge(namespace = "org::example")]
 mod ffi {
     struct SharedThing {
         z: i32,
diff --git a/macro/src/lib.rs b/macro/src/lib.rs
index 4d9b986..3796431 100644
--- a/macro/src/lib.rs
+++ b/macro/src/lib.rs
@@ -32,7 +32,7 @@ use syn::parse_macro_input;
 /// attribute macro.
 ///
 /// ```
-/// #[cxx::bridge(namespace = mycompany::rust)]
+/// #[cxx::bridge(namespace = "mycompany::rust")]
 /// # mod ffi {}
 /// ```
 ///
diff --git a/src/extern_type.rs b/src/extern_type.rs
index b9c5386..f92ff40 100644
--- a/src/extern_type.rs
+++ b/src/extern_type.rs
@@ -28,7 +28,7 @@ use self::kind::{Kind, Opaque, Trivial};
 /// ```no_run
 /// // file1.rs
 /// # mod file1 {
-/// #[cxx::bridge(namespace = example)]
+/// #[cxx::bridge(namespace = "example")]
 /// pub mod ffi {
 ///     extern "C" {
 ///         type Demo;
@@ -39,7 +39,7 @@ use self::kind::{Kind, Opaque, Trivial};
 /// # }
 ///
 /// // file2.rs
-/// #[cxx::bridge(namespace = example)]
+/// #[cxx::bridge(namespace = "example")]
 /// pub mod ffi {
 ///     extern "C" {
 ///         type Demo = crate::file1::ffi::Demo;
@@ -78,7 +78,7 @@ use self::kind::{Kind, Opaque, Trivial};
 ///     type Kind = cxx::kind::Opaque;
 /// }
 ///
-/// #[cxx::bridge(namespace = folly)]
+/// #[cxx::bridge(namespace = "folly")]
 /// pub mod ffi {
 ///     extern "C" {
 ///         include!("rust_cxx_bindings.h");
diff --git a/tests/ffi/extra.rs b/tests/ffi/extra.rs
index a11970d..cd76a7d 100644
--- a/tests/ffi/extra.rs
+++ b/tests/ffi/extra.rs
@@ -8,7 +8,7 @@
 // Rustfmt mangles the extern type alias.
 // https://github.com/rust-lang/rustfmt/issues/4159
 #[rustfmt::skip]
-#[cxx::bridge(namespace = tests)]
+#[cxx::bridge(namespace = "tests")]
 pub mod ffi2 {
     impl UniquePtr<D> {}
     impl UniquePtr<E> {}
diff --git a/tests/ffi/lib.rs b/tests/ffi/lib.rs
index 742062d..f40ec6c 100644
--- a/tests/ffi/lib.rs
+++ b/tests/ffi/lib.rs
@@ -62,7 +62,7 @@ mod other {
     }
 }
 
-#[cxx::bridge(namespace = tests)]
+#[cxx::bridge(namespace = "tests")]
 pub mod ffi {
     #[derive(Clone)]
     struct Shared {
diff --git a/tests/ffi/module.rs b/tests/ffi/module.rs
index 77bae06..899d45b 100644
--- a/tests/ffi/module.rs
+++ b/tests/ffi/module.rs
@@ -1,7 +1,7 @@
 // Rustfmt mangles the extern type alias.
 // https://github.com/rust-lang/rustfmt/issues/4159
 #[rustfmt::skip]
-#[cxx::bridge(namespace = tests)]
+#[cxx::bridge(namespace = "tests")]
 pub mod ffi {
     extern "C" {
         include!("tests/ffi/tests.h");
diff --git a/tests/ui/wrong_type_id.rs b/tests/ui/wrong_type_id.rs
index 81a9b3f..e3d1380 100644
--- a/tests/ui/wrong_type_id.rs
+++ b/tests/ui/wrong_type_id.rs
@@ -1,11 +1,11 @@
-#[cxx::bridge(namespace = folly)]
+#[cxx::bridge(namespace = "folly")]
 mod here {
     extern "C" {
         type StringPiece;
     }
 }
 
-#[cxx::bridge(namespace = folly)]
+#[cxx::bridge(namespace = "folly")]
 mod there {
     extern "C" {
         type ByteRange = crate::here::StringPiece;

